Package org.codehaus.janino

# Interface Java.Scope

All Known Subinterfaces:
  `Java.AnnotationTypeDeclaration`, `Java.BlockStatement`, `Java.ClassDeclaration`, `Java.EnumDeclaration`, `Java.FieldDeclarationOrInitializer`, `Java.MemberTypeDeclaration`, `Java.NamedTypeDeclaration`, `Java.PackageMemberTypeDeclaration`, `Java.TypeBodyDeclaration`, `Java.TypeDeclaration`

All Known Implementing Classes:
  `Java.AbstractClassDeclaration`, `Java.AbstractCompilationUnit`, `Java.AbstractTypeBodyDeclaration`, `Java.AbstractTypeDeclaration`, `Java.AlternateConstructorInvocation`, `Java.AnonymousClassDeclaration`, `Java.AssertStatement`, `Java.Block`, `Java.BreakableStatement`, `Java.BreakStatement`, `Java.CatchClause`, `Java.CompilationUnit`, `Java.ConstructorDeclarator`, `Java.ConstructorInvocation`, `Java.ContinuableStatement`, `Java.ContinueStatement`, `Java.DoStatement`, `Java.EmptyStatement`, `Java.EnclosingScopeOfTypeDeclaration`, `Java.EnumConstant`, `Java.ExpressionStatement`, `Java.FieldDeclaration`, `Java.ForEachStatement`, `Java.ForStatement`, `Java.FunctionDeclarator`, `Java.IfStatement`, `Java.Initializer`, `Java.InterfaceDeclaration`, `Java.LabeledStatement`, `Java.LocalClassDeclaration`, `Java.LocalClassDeclarationStatement`, `Java.LocalVariableDeclarationStatement`, `Java.MemberAnnotationTypeDeclaration`, `Java.MemberClassDeclaration`, `Java.MemberEnumDeclaration`, `Java.MemberInterfaceDeclaration`, `Java.MethodDeclarator`, `Java.ModularCompilationUnit`, `Java.NamedClassDeclaration`, `Java.PackageMemberAnnotationTypeDeclaration`, `Java.PackageMemberClassDeclaration`, `Java.PackageMemberEnumDeclaration`, `Java.PackageMemberInterfaceDeclaration`, `Java.ReturnStatement`, `Java.Statement`, `Java.SuperConstructorInvocation`, `Java.SwitchStatement`, `Java.SynchronizedStatement`, `Java.ThrowStatement`, `Java.TryStatement`, `Java.WhileStatement`

Enclosing class:
  `Java`

public static interface Java.Scope
Representation of a Java "scope", e.g. a compilation unit, type, method or block.

## Method Summary

Modifier and Type
Method
Description
`Java.Scope`
`getEnclosingScope()`

## Method Details

### getEnclosingScope

Java.Scope getEnclosingScope()

Returns:
  The scope that encloses this scope, or `null`